start => gschem_ug

« Configuring gschem | gEDA gschem User Guide | Mouse gesture support »

## Command-line arguments

gschem accepts several optional arguments on the command-line. You can get a list of them by running `gschem -h`. gschem also has a manpage (`man gschem`) which lists all of the command line options that it accepts.

### Message output and diagnostics

-q, --quiet | Quiet mode. Turn off all warnings/notes/messages.
-v, --verbose | Verbose mode. Output extra diagnostic information.
-h, --help | Print a help message.
-V, --version | Print gschem version information.

### Scheme extensibility

-L DIRECTORY | Prepend DIRECTORY to the list of directories to be searched for Scheme files.
-s FILE | Specify a Scheme script to be executed at startup.
-c EXPR | Specify a Scheme expression to be evaluated at startup.

### Other

-r, --config-file=FILE | Specify an additional configuration file to be read after all other configuration files have been processed.
-o, --output=FILE | Specify a filename for generating PostScript output. This command line argument is useful when running gschem from a shell script and with a Scheme script. The filename can be changed through the print dialog box.
-p | Automatically place the window. This may be useful if running gschem from the command line and generating output.
-- | Treat all remaining arguments as schematic or symbol filenames. Use this if you have a schematic or symbol filename which begins with “-”.